# Gets the list of member watchlist film entities for the currently authenticated member, and their related data

#### Licenses Required
- Vista.Ocapi

Endpoint: GET /ocapi/v1/members/current/watchlist-films
Version: V1

## Description:

  - `Licenses Required` ()
    Vista.Ocapi

## Header parameters:

  - `loyaltySessionToken` (string)
    Current Loyalty session token, represents a 'signed-in' member

  - `Connect-Region-Code` (string)
    Region Code

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `films` (array, required)
    Gets the list of member watchlist film entities

  - `films.filmId` (string, required)
    Gets the unique identifier of the film

  - `films.addedAt` (string, required)
    Gets the date and time that the film was added to the watchlist

  - `films.watchedAt` (string)
    Gets the date and time that the member watched the film, if applicable

  - `films.displayPriority` (integer, required)
    Gets the display priority used for sorting

  - `relatedData` (object, required)
    Gets the related data for the member watchlist film entities

  - `relatedData.films` (array, required)
    Gets the list of related film entities

  - `relatedData.films.id` (string, required)
    Gets the unique identifier

  - `relatedData.films.title` (object, required)
    Gets the title text, and its translations

  - `relatedData.films.title.text` (string, required)
    Gets the text in the default language

  - `relatedData.films.title.translations` (array, required)
    Gets the translations of the translatable Text in other languages

  - `relatedData.films.title.translations.languageTag` (string, required)
    Gets the IETF (RFC 4646) language tag that the translation Text has been translated for
    Example: en-US

  - `relatedData.films.title.translations.text` (string, required)
    Gets the translated text

  - `relatedData.films.synopsis` (object)
    Gets the plot/synopsis text, and its translations

  - `relatedData.films.shortSynopsis` (object)
    Gets the short plot/synopsis text, and its translations

  - `relatedData.films.censorRatingId` (string)
    Gets the unique identifier of the censor rating, if applicable

  - `relatedData.films.censorRatingNote` (object)
    Gets a description of the content in the film that qualifies it for its censor rating, if applicable

  - `relatedData.films.releaseDate` (string, required)
    Gets the release date of the film

  - `relatedData.films.runtimeInMinutes` (integer, required)
    Gets the runtime duration in minutes

  - `relatedData.films.trailers` (array, required)
    Gets the list of film trailer entities

  - `relatedData.films.trailers.provider` (string, required)
    Gets the provider
    Enum: "Moviexchange", "External"

  - `relatedData.films.trailers.uri` (string, required)
    Gets the address used for retrieving the trailer

  - `relatedData.films.trailerUrl` (string)
    Gets the trailer video URL

  - `relatedData.films.displayPriority` (integer, required)
    Gets the display priority used for sorting

  - `relatedData.films.castAndCrew` (array, required)

  - `relatedData.films.castAndCrew.castAndCrewMemberId` (string, required)
    Gets the unique identifier of the cast and crew member

  - `relatedData.films.castAndCrew.roles` (array, required)
    Gets the list of roles

  - `relatedData.films.actors` (array, required)
    Gets the list of film cast and crew member entities that acted in the film, sorted by billing order

  - `relatedData.films.actors.castAndCrewMemberId` (string, required)
    Gets the unique identifier of the cast and crew member

  - `relatedData.films.directors` (array, required)
    Gets the list of film cast and crew member entities that directed the film, sorted by billing order

  - `relatedData.films.producers` (array, required)
    Gets the list of film cast and crew member entities that produced the film, sorted by billing order

  - `relatedData.films.genreIds` (array, required)
    Gets the list of unique identifiers of the assigned genre entities

  - `relatedData.films.externalIds` (object, required)
    Gets the external identifiers

  - `relatedData.films.externalIds.moviexchangeReleaseId` (string)
    Gets the unique identifier of the linked movieXchange film release entity

  - `relatedData.films.externalIds.corporateId` (string)
    Gets the unique corporate identifier

  - `relatedData.films.hopk` (string)
    Gets the Head Office primary key

  - `relatedData.films.hoCode` (string, required)
    Gets the Head Office code

  - `relatedData.films.eventId` (string)
    Gets the unique identifier of the event the film is assigned to, if applicable

  - `relatedData.films.distributorName` (string, required)
    Gets the name of the distributor

  - `relatedData.castAndCrew` (array, required)
    Gets the list of related cast and crew member entities

  - `relatedData.castAndCrew.id` (string, required)
    Gets the unique identifier

  - `relatedData.castAndCrew.name` (object, required)
    Gets the person's name

  - `relatedData.castAndCrew.name.givenName` (string)
    Gets the given name

  - `relatedData.castAndCrew.name.familyName` (string)
    Gets the family name

  - `relatedData.castAndCrew.name.middleName` (string)
    Gets the middle or any additional name

  - `relatedData.genres` (array, required)
    Gets the list of related genre entities

  - `relatedData.genres.id` (string, required)
    Gets the unique identifier

  - `relatedData.genres.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.genres.description` (object)
    Gets the description text, and its translations

  - `relatedData.censorRatings` (array, required)
    Gets the list of related censor rating entities

  - `relatedData.censorRatings.id` (string, required)
    Gets the unique identifier

  - `relatedData.censorRatings.classification` (object, required)
    Gets the classification text, and its translations

  - `relatedData.censorRatings.classificationDescription` (object)
    Gets the censor rating Classification description text, and its translations

  - `relatedData.censorRatings.ageRestriction` (object)
    Gets the age restriction, if applicable

  - `relatedData.censorRatings.ageRestriction.minimumAge` (integer, required)
    Gets the minimum age required

## Response 401:

  - `401` (unknown)
    No member authenticated.

